Bug 595061 - Needs to handle cancelled authentication dialogs better.
Needs to handle cancelled authentication dialogs better.
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: system-config-samba (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Nils Philippsen
Fedora Extras Quality Assurance
abrt_hash:ac3a91f4
: FutureFeature, Reopened
: 618028 705903 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-23 03:40 EDT by Pete Travis
Modified: 2014-03-28 09:33 EDT (History)
38 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-28 09:33:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.36 KB, text/plain)
2010-05-23 03:40 EDT, Pete Travis
no flags Details

  None (edit)
Description Pete Travis 2010-05-23 03:40:32 EDT
abrt 1.0.9 detected a crash.

architecture: x86_64
cmdline: /usr/bin/python /usr/bin/system-config-samba
comment: 'crash' was transparent to user, besides bug notifier.
component: system-config-samba
executable: /usr/bin/system-config-samba
kernel: 2.6.32.12-115.fc12.x86_64
package: system-config-samba-1.2.89-1.fc12
reason: polkit.py:131:handle_authfail:AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.
release: Fedora release 12 (Constantine)

backtrace
-----
polkit.py:131:handle_authfail:AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.

Traceback (most recent call last):
  File "/usr/share/system-config-samba/mainWindow.py", line 383, in onNewButtonClicked
    self.share_win.showNewWindow()
  File "/usr/share/system-config-samba/shareWindow.py", line 137, in showNewWindow
    self.populateUserStore()
  File "/usr/share/system-config-samba/shareWindow.py", line 79, in populateUserStore
    userList = self.samba_backend.getPasswdFile()
  File "<string>", line 2, in getPasswdFile
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 156, in _enable_proxy
    return handle_authfail(e)
  File "/usr/lib/python2.6/site-packages/slip/dbus/polkit.py", line 131, in handle_authfail
    raise af_exc
AuthError: The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.

Local variables in innermost frame:
e: DBusException('',)
authfail_callback: None
af_exc: AuthError("The authorization for 'org.fedoraproject.config.samba.configure' could not be obtained.",)
authfail_result: <class 'slip.dbus.polkit.AUTHFAIL_DONTCATCH'>
authfail_exception: <class 'scsamba.exc.AuthError'>
exc_name: 'org.fedoraproject.slip.dbus.service.PolKit.NotAuthorizedException.org.fedoraproject.config.samba.configure'
action_id: 'org.fedoraproject.config.samba.configure'

How to reproduce
-----
1. Started an action, can't recall what
2. initiated another action before completion of first
3.
Comment 1 Pete Travis 2010-05-23 03:40:34 EDT
Created attachment 415926 [details]
File: backtrace
Comment 2 Pete Travis 2010-06-01 02:07:51 EDT
Package: system-config-samba-1.2.89-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. Change settings in system-config-samba
2. attempt to apply
3. changed my mind about the settings, hit cancel on authentication box


Comment
-----
Perhaps this should be filed against abrt. I would not consider authentication failure a bug or crash, but maybe there's more to it than I know...
Comment 3 Andrew Newman 2010-06-09 21:01:38 EDT
Package: system-config-samba-1.2.89-1.fc12
Architecture: x86_64
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. I  joined fedora to existing w2k ads domain
2. Created shares for thru samba config tool for users homeshare drives with guest permission and not browsable
3. tested and worked OK
4. used windows users and computers to alter homeshare to shares created on linux
5. got error 53 when trying to connect to created share using 'net use u: \\linux name\%homeshare% /user:%username%
6. tried to open samba confg tool and got this error


Comment
-----
Comment 4 Andrew Newman 2010-06-09 22:18:34 EDT
After changing location of home share in 'domain users and computers' A new share was visible when doing a net view from xp workstation 
"username     Disk           Home directory of w2k domain\username"
Comment 5 Khalid El-dehairy 2010-07-03 09:17:22 EDT
Package: system-config-samba-1.2.89-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. open preferencers > samba users
2. click ok .. the system asks for authentication password
3. click cancel
Comment 6 Tim Chappell 2010-07-12 15:45:27 EDT
Package: system-config-samba-1.2.89-1.fc12
Architecture: i686
OS Release: Fedora release 12 (Constantine)


How to reproduce
-----
1. Run samba config
2. share mounted usb disk
3. after successfull share, gui crashed
Comment 7 antonio montagnani 2010-09-11 14:54:45 EDT
Package: system-config-samba-1.2.89-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.just closing system config samba
2.
3.
Comment 8 Simon 2010-09-21 08:13:29 EDT
Package: system-config-samba-1.2.89-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1. i deleted some users I didn't create in a sahre I didn't create called myshare that doesn't show as a share in samba configuration GUI but does in SMB4K
2. crash reported
3.


Comment
-----
as above
Comment 9 Bug Zapper 2010-11-03 10:22:38 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 George 2010-11-07 12:24:31 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1Add forler to client.
2.
3.
Comment 11 Tomasz Szkółka 2010-11-15 08:00:21 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. run samba
2. cancel root authentication
3. nothing happens


Comment
-----
Error is meaningless.
Comment 12 Bob 2010-11-16 15:25:23 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Clicked on Preferences / Samba Users
2.Clicked OK.
3. root authorization window appears.
4. Clicked Cancel on authorization request.
5. abrt displays a crash alert.

Comment
-----
The first time through, there were two users in the Samba Users list tsb... something.
After the first crash, there are no users in the list.
I was able to reproduce the crash a couple of times by cancelling on the root authorization request.
After that, I do not see a crash.  In later attempts, clicking OK on an empty user list does not bring up 
an authorization request.
In all cases, system-config-samba main window stayed up.
Comment 13 brauket 2010-12-01 07:55:17 EST
Package: system-config-samba-1.2.89-1.fc13
Architecture: i686
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
?
Comment 14 Vojtěch Erben 2010-12-13 09:23:36 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. delete samba share
2. cancel authentication request (root privileges)
3. ABRT report crash
Comment 15 David Edwards 2011-01-16 15:41:11 EST
Package: system-config-samba-1.2.89-1.fc13
Architecture: x86_64
OS Release: Fedora release 13 (Goddard)


How to reproduce
-----
1.
2.
3.
h
Comment 16 v.plessky 2011-01-30 05:22:57 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. Clicked on share in Samba Server Configuration
2. Declined to authorize in dialog (cancel)
3. Crash


Comment
-----
Add share for Samba server.
Click ok.
Than click on it once more, system would ask for root password
Decline to provide it. Crash
Comment 17 Ryan 2011-02-02 11:54:36 EST
Package: system-config-samba-1.2.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1. open system-config-samba
2. hit cancel on authorisation dialog


Comment
-----
as above
Comment 18 xr_ma 2011-03-20 04:03:52 EDT
Package: system-config-samba-1.2.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.edit the dirctory
2.
3.
Comment 19 hamed106 2011-04-05 03:48:04 EDT
Package: system-config-samba-1.2.90-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.open samba conf manager
2.adding user
3.samba crashes
Comment 20 jddavis007 2011-04-05 18:46:37 EDT
Package: system-config-samba-1.2.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.Initial setup of samba
2.
3.
Comment 21 afsar-servis 2011-05-19 13:34:25 EDT
Package: system-config-samba-1.2.90-1.fc14
Architecture: i686
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.yum install samba
2.
3.
Comment 22 Bug Zapper 2011-06-02 09:40:53 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 23 Bug Zapper 2011-06-27 12:34:56 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 24 Nils Philippsen 2011-06-28 07:16:43 EDT
This should have stayed open.
Comment 25 Nils Philippsen 2011-06-29 09:58:02 EDT
*** Bug 705903 has been marked as a duplicate of this bug. ***
Comment 26 Nils Philippsen 2011-06-29 10:00:33 EDT
*** Bug 618028 has been marked as a duplicate of this bug. ***
Comment 27 Leonard J. Umina 2011-07-20 12:26:22 EDT
Package: system-config-samba-1.2.92-1.fc14
Architecture: x86_64
OS Release: Fedora release 14 (Laughlin)


How to reproduce
-----
1.trying to set up samba and moving between a wired network and a wireless network
2.
3.


Comment
-----
goal was to move to a wireless network to provide access to a mac.  applet didn't like this.
Comment 28 Jaromír Končický 2014-03-26 07:49:49 EDT
System-config-samba is asking for authentication during startup (shows authentication dialog before the gui itself is displayed). If I cancel it, it ends normally. It does not ask me for password if I change anything.
So is this bug still meaningful?
Comment 29 Nils Philippsen 2014-03-28 09:33:52 EDT
I can confirm that cancelling doesn't cause a traceback anymore, but a dialog appears reporting that it can't acquire the necessary authorization. Closing.

Note You need to log in before you can comment on or make changes to this bug.